# edge_mirror.sh readme

## SAS Event Stream Processing for Edge Computing supported versions. 7.1 and higher

1. Download mirrormgr to a location on disk you plan to create the mirrored repositories for SAS Event Stream Processing for Edge Computing

2. Copy the sas-edge-extension-version.tgz to the same location as mirrormgr #Will be included with mirrormgr

3. Untar sas-edge-extension-version#.tgz

4. Run chmod +x edge_mirror.sh

5. Copy the SASViya_ordernumber_certs.zip downloaded from the customer portal to the same location as mirrormgr

6. Run edge_mirror.sh with list of platforms for which you wish to create repositories.  The available platforms are aarch64-ubuntu-linux-16, x64-redhat-linux-6, x64-ubuntu-linux-14, x64-yocto-linux-1.  Must use at least 1.

ex. ./edge_mirror.sh aarch64-ubuntu-linux-16 x64-redhat-linux-6 x64-ubuntu-linux-14 x64-yocto-linux-1

The mirror repository packages will be in the ./espedge_repos directory broken down by repository name and grouped for basic, analytics, astore, gpu and textAanalytics.  The packages located in espExtras can be optionally deployed.
